% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plots.R
\name{bp}
\alias{bp}
\title{Draws a standard boxplot according to user specifications.}
\usage{
bp(x, nvectors, lower.edge, upper.edge, xlim, line.extend.col,
  line.extend.width, box.density, box.angle, box.col, point.cex, point.pch,
  point.col, axes, xaxt, xlab)
}
\arguments{
\item{x}{Sorted list of x-values in the dataset.}

\item{nvectors}{A numeric value indicating the number of groupings in the dataset.}

\item{lower.edge}{The first value from graph.region indicating the lower graphical region.}

\item{upper.edge}{The second value from graph.region indicating the upper graphical region.}

\item{xlim}{A numeric vector consists of 2 elements which indicates the range of x-axis.}

\item{line.extend.col}{A numeric value to indicate the color of the line.}

\item{line.extend.width}{A numeric value to indicate the thickness of the line.}

\item{box.density}{A numeric value to indicate the density of the box shading lines.}

\item{box.angle}{A numeric value to indicate the angle of the box shading lines.}

\item{box.col}{A vector to indicate the color(s) of the box shading lines.}

\item{point.cex}{A numeric value to specify the size of points}

\item{point.pch}{A numeric or character value to specify the shape of points.}

\item{point.col}{A numeric value to specify the color of the points.}

\item{axes}{A logical value to indicate whether or not to plot axes.}

\item{xaxt}{"s"=standard x-axis plotting,"n"=null x-axis plotting.}

\item{xlab}{Labels on x-axis.}
}
\description{
Draws a standard boxplot according to user specifications.
}

