% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/helpers.R
\name{check.input.blip}
\alias{check.input.blip}
\title{Checks for input errors relating to gui.}
\usage{
check.input.blip(x, nvectors, box.p, box.p.bar, graph.type, graph.width,
  point.pattern, line.extend.p, line.extend.sd, line.extend.se)
}
\arguments{
\item{x}{Sorted list of x-values in the dataset.}

\item{nvectors}{A numeric value indicating the number of groupings in the dataset.}

\item{box.p}{A numeric vector of percentiles ranging from 0 to 1.
Missing values are not allowed in the vector except box.p=NA.
Numeric value 0 can be used as a separator for separatingboxes.
Each box must contain at least two percentiles.}

\item{box.p.bar}{A vector of logical value indicating whether to draw the vertical bars on percentiles.}

\item{graph.type}{A character value indicating the reference line.
"c" for centered and "b" for baseline.}

\item{graph.width}{A character value indicating the type of width of the box.
"f" for fixed and "v" for variable.}

\item{point.pattern}{When point.pattern="on-line", the points outside the boxes will be displayed on the reference line.
When point.pattern="stacking", the points outside the boxes will be separated by a fixed distance if there are more than one points with the same value.
When point.pattern="evenly-spaced", the points outside the boxes will be evenly spreaded out if there are more than one points with the same value.
When point.pattern="jittered", the points outside the boxes will be displayed randomly within the graph width.
When point.pattern="max-range", the points outside the boxes will be drawn at the maximum height of that point.
When point.pattern="vertical-bar", a vertical bar instead of a point will be drawn at the location of each observation.}

\item{line.extend.p}{A numeric vector of percentiles ranging from 0 to 1, indicating segments of lines to be drawn outside the boxes.}

\item{line.extend.sd}{A numeric value indicating the length of lines to be drawn from the mean in standard deviation.}

\item{line.extend.se}{A numeric value indicating the length of lines to be drawn from the mean in standard error.}
}
\value{
A list containing xpoints and box.bounds
}
\description{
Checks for input errors relating to gui.
}

