% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gui.R
\name{draw.box}
\alias{draw.box}
\title{Draws boxs on the graph.}
\usage{
draw.box(x, box.p, box.p.bar, box.bounds, nvectors, n, graph.width, graph.type,
  graph.uniform, point.pattern, nclass, boxcenter, boxwidth, low, up,
  box.label.on, box.label.cex, box.label.above, box.density, box.angle, box.col,
  line.extend.width, line.extend.col, orientation)
}
\arguments{
\item{x}{Sorted list of x-values in the dataset.}

\item{box.p}{A numeric vector of percentiles ranging from 0 to 1.
Missing values are not allowed in the vector except box.p=NA.
Numeric value 0 can be used as a separator for separatingboxes.
Each box must contain at least two percentiles.}

\item{box.p.bar}{A vector of logical value indicating whether to draw the vertical bars on percentiles.}

\item{box.bounds}{A numeric vector containing the boundaries of each box.}

\item{nvectors}{A numeric value indicating the number of groupings in the dataset.}

\item{n}{A numeric vector indicating the size of each grouping.}

\item{graph.width}{A character value indicating the type of width of the box.
"f" for fixed and "v" for variable.}

\item{graph.type}{A character value indicating the reference line.
"c" for centered and "b" for baseline.}

\item{graph.uniform}{A logical value(T/F) to indicate the choice of uniform/non-uniform height on y-axis across groups.}

\item{point.pattern}{When point.pattern="on-line", the points outside the boxes will be displayed on the reference line.
When point.pattern="stacking", the points outside the boxes will be separated by a fixed distance if there are more than one points with the same value.
When point.pattern="evenly-spaced", the points outside the boxes will be evenly spreaded out if there are more than one points with the same value.
When point.pattern="jittered", the points outside the boxes will be displayed randomly within the graph width.
When point.pattern="max-range", the points outside the boxes will be drawn at the maximum height of that point.
When point.pattern="vertical-bar", a vertical bar instead of a point will be drawn at the location of each observation.}

\item{nclass}{The smoothing parameter which corresponds to how many classes the total number of observations will be divided.}

\item{boxcenter}{A numerical vector indicating the center of each box.}

\item{boxwidth}{A numerical vector indicating the width of each box.}

\item{low}{A numerical vector indicating the lower edge of each box.}

\item{up}{A numerical vector indicating the higher edge of each box.}

\item{box.label.on}{A Logical value indicating whether to label the percentiles on the boxes.}

\item{box.label.cex}{A numeric value to control the size of the labels.}

\item{box.label.above}{A numeric value indicating the distance of the labels above the box.}

\item{box.density}{A numeric value to indicate the density of the box shading lines.}

\item{box.angle}{A numeric value to indicate the angle of the box shading lines.}

\item{box.col}{A vector to indicate the color(s) of the box shading lines.}

\item{line.extend.width}{A numeric value to indicate the thickness of the line.}

\item{line.extend.col}{A numeric value to indicate the color of the line.}

\item{orientation}{Orientation of the graph. Options are "horizontal" and "vertical".}
}
\value{
A list containing xunique, range.p.xunique, p.max
}
\description{
Draws boxs on the graph.
}

