% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gui.R
\name{draw.point}
\alias{draw.point}
\title{Draws points on the graph.}
\usage{
draw.point(xpoints, nvectors, n, graph.width, graph.type, graph.uniform,
  point.pattern, ans2, boxwidth, boxcenter, low, up, seed, line.extend.width,
  line.extend.col, point.type, point.cex, point.pch, point.col, orientation,
  std.plot, yPoints)
}
\arguments{
\item{xpoints}{A numerical vector of x points to plot.}

\item{nvectors}{A numeric value indicating the number of groupings in the dataset.}

\item{n}{A numeric vector indicating the size of each grouping.}

\item{graph.width}{A character value indicating the type of width of the box.
"f" for fixed and "v" for variable.}

\item{graph.type}{A character value indicating the reference line.
"c" for centered and "b" for baseline.}

\item{graph.uniform}{A logical value(T/F) to indicate the choice of uniform/non-uniform height on y-axis across groups.}

\item{point.pattern}{When point.pattern="on-line", the points outside the boxes will be displayed on the reference line.
When point.pattern="stacking", the points outside the boxes will be separated by a fixed distance if there are more than one points with the same value.
When point.pattern="evenly-spaced", the points outside the boxes will be evenly spreaded out if there are more than one points with the same value.
When point.pattern="jittered", the points outside the boxes will be displayed randomly within the graph width.
When point.pattern="max-range", the points outside the boxes will be drawn at the maximum height of that point.
When point.pattern="vertical-bar", a vertical bar instead of a point will be drawn at the location of each observation.}

\item{ans2}{A numerical vector returned by draw.box containing information for variable with graphs.}

\item{boxwidth}{A numerical vector indicating the width of each box.}

\item{boxcenter}{A numerical vector indicating the center of each box.}

\item{low}{A numerical vector indicating the lower edge of each box.}

\item{up}{A numerical vector indicating the higher edge of each box.}

\item{seed}{An integer. This is a seed for the random number generator which is used in point.pattern="jittered".}

\item{line.extend.width}{A numeric value to indicate the thickness of the line.}

\item{line.extend.col}{A numeric value to indicate the color of the line.}

\item{point.type}{A character value to indicate whether a point("p"),a line("l"), both("b"), or none("n") will be drawn}

\item{point.cex}{A numeric value to specify the size of points}

\item{point.pch}{A numeric or character value to specify the shape of points.}

\item{point.col}{A numeric value to specify the color of the points.}

\item{orientation}{Orientation of the graph. Options are "horizontal" and "vertical".}

\item{std.plot}{This option overrides all other related graphical parameters.
std.plot="boxplot" draws conventional boxplots;
std.plot="histogram" produces histogram;
std.plot="polygon" plots frequency polygon.}

\item{yPoints}{Optional parameter specifically for violin plots, which directly alters the density estimates.}
}
\description{
Draws points on the graph.
}

