% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gui.R
\name{frame.x}
\alias{frame.x}
\title{Draws the frame of the graph, including the axes, the sd, the se, and the mean.}
\usage{
frame.x(x, nvectors, n, mean.pch, mean.cex, mean.col, line.percentile,
  line.percentile.length, line.percentile.col, line.percentile.width,
  line.extend.sd, line.extend.se, xlim, graph.type, boxcenter, low, xpoints,
  line.extend.width, line.extend.col, axes, xaxt, xlab, orientation,
  vertical.xstart, nclass, boxwidth, graph.uniform)
}
\arguments{
\item{x}{Sorted list of x-values in the dataset.}

\item{nvectors}{A numeric value indicating the number of groupings in the dataset.}

\item{n}{A numeric vector indicating the size of each grouping.}

\item{mean.pch}{A numeric value to specify the symbol for marking the location of the mean.
mean.pch=4 corresponds to "x".}

\item{mean.cex}{A numeric value to specify the size of mean symbol.}

\item{mean.col}{A numeric value to specify the color of mean symbol.}

\item{line.percentile}{A numeric vector of percentiles ranging from 0 to 1, indicating segments of lines to be drawn outside the boxes.}

\item{line.percentile.length}{A numeric value indicating the length of the line.}

\item{line.percentile.col}{A numeric value indicating the color of the line.}

\item{line.percentile.width}{A numeric value indicating the width of the line.}

\item{line.extend.sd}{A numeric value indicating the length of lines to be drawn from the mean in standard deviation.}

\item{line.extend.se}{A numeric value indicating the length of lines to be drawn from the mean in standard error.}

\item{xlim}{A numeric vector consists of 2 elements which indicates the range of x-axis.}

\item{graph.type}{A character value indicating the reference line.
"c" for centered and "b" for baseline.}

\item{boxcenter}{A numerical vector indicating the center of each box.}

\item{low}{A numerical vector indicating the lower edge of each box.}

\item{xpoints}{A numerical vector of x points to plot.}

\item{line.extend.width}{A numeric value to indicate the thickness of the line.}

\item{line.extend.col}{A numeric value to indicate the color of the line.}

\item{axes}{A logical value to indicate whether or not to plot axes.}

\item{xaxt}{"s"=standard x-axis plotting,"n"=null x-axis plotting.}

\item{xlab}{Labels on x-axis.}

\item{orientation}{Orientation of the graph. Options are "horizontal" and "vertical".}

\item{vertical.xstart}{The side the x-values start from when the orientation of the graph is vertical.
"left" displays x-values in ascending order; "right" displays x-values in descending order.}

\item{nclass}{The smoothing parameter which corresponds to how many classes the total number of observations will be divided.}

\item{boxwidth}{A numerical vector indicating the width of each box.}

\item{graph.uniform}{A logical value(T/F) to indicate the choice of uniform/non-uniform height on y-axis across groups.}
}
\description{
Draws the frame of the graph, including the axes, the sd, the se, and the mean.
}

