% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plots.R
\name{polygn}
\alias{polygn}
\title{Draws a standard polygon according to user specifications.}
\usage{
polygn(x, nvectors, graph.uniform, low, boxwidth, nclass, box.label.cex,
  box.label.above, box.label.on, xlim, line.extend.col, line.extend.width,
  box.density, box.angle, box.col, axes, xaxt, xlab, breaks, x.min, x.max)
}
\arguments{
\item{x}{Sorted list of x-values in the dataset.}

\item{nvectors}{A numeric value indicating the number of groupings in the dataset.}

\item{graph.uniform}{A logical value(T/F) to indicate the choice of uniform/non-uniform height on y-axis across groups.}

\item{low}{A numerical vector indicating the lower edge of each box.}

\item{boxwidth}{A numerical vector indicating the width of each box.}

\item{nclass}{The smoothing parameter which corresponds to how many classes the total number of observations will be divided.}

\item{box.label.cex}{A numeric value to control the size of the labels.}

\item{box.label.above}{A numeric value indicating the distance of the labels above the box.}

\item{box.label.on}{A Logical value indicating whether to label the percentiles on the boxes.}

\item{xlim}{A numeric vector consists of 2 elements which indicates the range of x-axis.}

\item{line.extend.col}{A numeric value to indicate the color of the line.}

\item{line.extend.width}{A numeric value to indicate the thickness of the line.}

\item{box.density}{A numeric value to indicate the density of the box shading lines.}

\item{box.angle}{A numeric value to indicate the angle of the box shading lines.}

\item{box.col}{A vector to indicate the color(s) of the box shading lines.}

\item{axes}{A logical value to indicate whether or not to plot axes.}

\item{xaxt}{"s"=standard x-axis plotting,"n"=null x-axis plotting.}

\item{xlab}{Labels on x-axis.}

\item{breaks}{A numeric vector indicating break points for histogram and polygon.}

\item{x.min}{A numeric value indicating the smallest break point.}

\item{x.max}{A numeric value indicating the largest break point.}
}
\description{
Draws a standard polygon according to user specifications.
}

