% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/helpers.R
\name{summ}
\alias{summ}
\title{Similar to summary() but with the return values being:
"  N"  "Min."  "1st Qu." "Median"  "3rd Qu." "Max." "Mean"  "S.D."}
\usage{
summ(x, pr = F, xat = NA, yat = c(0.1, 0.06), digits = 4, adj = 0,
  cex = par()$cex, ...)
}
\arguments{
\item{x}{Sorted list of x-values in the dataset.}

\item{pr}{A logical unit to indicate whether to display the summary information on the graph.}

\item{xat}{The x positions of the summary values.}

\item{yat}{The y positions of the summary values.}

\item{digits}{The number of floating point digits the summary values are rounded to.}

\item{adj}{One or two values in [0, 1] which specify the x (and optionally y) adjustment of the labels.}

\item{cex}{A numerical value to specify the size of the text.}

\item{...}{Further graphical parameters (from par), such as srt, family and xpd.}
}
\value{
A vector of summary values: N, Min, Q1, Median, Q3, Max, Mean, and SD.
}
\description{
Similar to summary() but with the return values being:
"  N"  "Min."  "1st Qu." "Median"  "3rd Qu." "Max." "Mean"  "S.D."
}

