library(testthat)

test_that("testSumm returns the correct ans", {
  ans1 <- summ(c(1, 2, 3, 4, 5))
  expect_equal(names(ans1), c("  N", "Min.", "1st Qu.", "Median", "3rd Qu.", "Max.", "Mean", "S.D."))
  names(ans1) <- NULL
  expect_equal(ans1, c(5.0000, 1.0000, 2.0000, 3.0000, 4.0000, 5.0000, 3.0000, 1.5811))

  ans2 <- summ(c(-2, 0, 3, 4, 7, 11, 24))
  expect_equal(names(ans2), c("  N", "Min.", "1st Qu.", "Median", "3rd Qu.", "Max.", "Mean", "S.D."))
  names(ans2) <- NULL
  expect_equal(ans2, c(7.0000, -2.0000, 1.5000, 4.0000, 9.0000, 24.0000, 6.7140, 8.7505))

  ans3 <- summ(c(-4.763, -2, 0, .045, 3, 4, 7, 11, 24, 24.1), digits = 2)
  expect_equal(names(ans3), c("  N", "Min.", "1st Qu.", "Median", "3rd Qu.", "Max.", "Mean", "S.D."))
  names(ans3) <- NULL
  expect_equal(ans3, c(10.00, -4.76, 0.01, 3.50, 10.00, 24.10, 6.64, 10.21))
})
